<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2020 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->
<configuration description="Runs all tests in vts suite with CCD enforced">
    <include name="everything" />

    <option name="plan" value="vts-ccd" />
    <option name="test-tag" value="vts-ccd" />

    <system_checker class="com.android.tradefed.suite.checker.DeviceBaselineChecker">
        <option name="enable-device-baseline-settings" value="true" />
        <option name="enable-experimental-device-baseline-setters" value="keep_screen_on" />
        <option name="enable-experimental-device-baseline-setters" value="disable_os_auto_update" />
    </system_checker>

    <target_preparer class="com.android.compatibility.common.tradefed.targetprep.VtsDeviceInfoCollector" />
    <target_preparer class="com.android.compatibility.common.tradefed.targetprep.DeviceInfoCollector">
        <option name="apk" value="CtsDeviceInfo.apk"/>
        <option name="package" value="com.android.compatibility.common.deviceinfo"/>
        <option name="src-dir" value="/sdcard/device-info-files/"/>
        <option name="dest-dir" value="device-info-files/"/>
        <option name="temp-dir" value="temp-device-info-files/"/>
        <option name="throw-error" value="false"/>
    </target_preparer>

    <template-include name="reporters" default="basic-reporters" />

    <!-- Include additional test metadata output. -->
    <template-include name="metadata-reporters" default="empty" />
</configuration>
